Subject: Re: Solaris test t5500 race condition

From: Jason Riedy <[email-masked]>
Date: Thu, 13 Apr 2006 22:03:44 -0700

And "Peter Eriksen" writes:
 - I've found a race in t5500-fetch-pack.sh.

Crap.  I ran into this on AIX a while ago; I was hoping no
other systems would see it.  There are no guarantees that 
the two processes' outputs will be mutually line buffered.
Luckily, it's just a cosmetic problem, but it does cause 
that test case to fail.

I know how to fix it (imho), but have no time to implement
it.  There needs to be a separate communication stage after 
negotiating the objects and before dumping the pack.  During
that stage, upload-pack would just send progress notices to 
the caller.  Only the caller would communicate to the terminal.
Some other ideas are in
  http://marc.theaimsgroup.com/?l=git&m=114357528512063&w=2

Jason